# MySQL (default setup).  Versions 4.1 and 5.0 are recommended.
#
# Get the fast C bindings:
#   gem install mysql
#   (on OS X: gem install mysql -- --include=/usr/local/lib)
# And be sure to use new-style password hashing:
#   http://dev.mysql.com/doc/refman/5.0/en/old-client.html
development:
  adapter: sqlite3
  database: db/development.sqlite3
  
# Warning: The database defined as 'test' will be erased and
# re-generated from your development database when you run 'rake'.
# Do not set this db to the same as development or production.
test:
  adapter: sqlite3
  database: ":memory:"

production:
  adapter: mysql
  database: rails_server_production
  username: root
  password: 
  socket: /path/to/your/mysql.sock


# PostgreSQL versions 7.4 - 8.1
#
# Get the C bindings:
#   gem install postgres
# or use the pure-Ruby bindings on Windows:
#   gem install postgres-pr
postgresql_example:
  adapter: postgresql
  database: rails_server_development
  username: rails_server
  password:

  # Connect on a TCP socket.  Omitted by default since the client uses a
  # domain socket that doesn't need configuration.
  #host: remote-database
  #port: 5432

  # Schema search path.  The server defaults to $user,public
  #schema_search_path: myapp,sharedapp,public

  # Character set encoding.  The server defaults to sql_ascii.
  #encoding: UTF8

  # Minimum log levels, in increasing order:
  #   debug5, debug4, debug3, debug2, debug1,
  #   info, notice, warning, error, log, fatal, or panic
  # The server defaults to notice.
  #min_messages: warning


# SQLite version 2.x
#   gem install sqlite-ruby
sqlite_example:
  adapter: sqlite
  database: db/development.sqlite2


# SQLite version 3.x
#   gem install sqlite3-ruby
sqlite3_example:
  adapter: sqlite3
  database: db/development.sqlite3


# In-memory SQLite 3 database.  Useful for tests.
sqlite3_in_memory_example:
  adapter: sqlite3
  database: ":memory:"